package repository

import (
	"gitlab.com/mbugroup/lti-api.git/internal/common/repository"
	entity "gitlab.com/mbugroup/lti-api.git/internal/entities"
	"gorm.io/gorm"
)

type TransactionRepository interface {
	repository.BaseRepository[entity.Payment]
}

type TransactionRepositoryImpl struct {
	*repository.BaseRepositoryImpl[entity.Payment]
}

func NewTransactionRepository(db *gorm.DB) TransactionRepository {
	return &TransactionRepositoryImpl{
		BaseRepositoryImpl: repository.NewBaseRepository[entity.Payment](db),
	}
}
